Skip to content
Docs

Connect a project to the flags of this project

PUT/__remote/api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/connections
Connects a project in the same team to the flags of this project. The consumer project reads this project's flags with its own deployment identity by naming this project in the Flags SDK. Connections grant read and evaluate access across environments, with the consumer deployment's environment selecting the source environment. Requires connection management permission on the source project and read access to the consumer project.
/__remote/api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/connections
const response = await fetch('/__remote/api.vercel.com/v1/projects/projectIdOrName/feature-flags/connections?teamId=string&slug=string', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"consumerProjectId": "example_id"
}),
});
const data = await response.json();
console.log(data);
Response
{
"consumerProjectId": "example_id",
"consumerProjectName": "Example Name",
"createdAt": "123",
"createdBy": "string",
"sourceProjectId": "example_id",
"sourceProjectName": "Example Name"
}
AuthorizationbearerToken

Default authentication mechanism

projectIdOrNamestringRequired
The project id or name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
consumerProjectIdstringRequired
The project in the same team that may read the flags of this project
200Success
consumerProjectIdstringRequired
consumerProjectNamestringRequired
createdAtnumberRequired
createdBystringRequired
sourceProjectIdstringRequired
sourceProjectNamestringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error
503Error